### Method

# Gio IOStream set_pending

since: 2.22

#### Declaration [src]

    gboolean
    g_io_stream_set_pending (
      GIOStream* stream
      GError** error
    )

#### Description [src]

Sets `stream` to have actions pending. If the pending flag is already set or `stream` is closed, it will return `FALSE` and set `error`.

Available since: 2.22

#### Return value

Type: `gboolean`

`TRUE` if pending was previously unset and is now set.